﻿.table-striped > tbody > tr:nth-child(odd).inline-new-row > td, tr.inline-new-row > td {
    background-color: #deeff7;
}

.table-striped > tbody > tr:nth-child(odd).inline-changed:not(.selected) > td, tr.inline-changed > td {
    background-color: lightpink;
}

.inline-table-edit tr.inline-changed > td span.inline-display.inline-changed {
    font-style: italic;
    font-weight: bold;
}

.inline-table-edit tr.inline-changed > td > span {
    width: 100%;
}

.inline-table-edit {
    border-collapse: collapse;
    empty-cells: show;
}

    .inline-table-edit tr td {
        position: relative;
    }

    .inline-table-edit tr.inline-deleted > td:before {
        content: " ";
        position: absolute;
        top: 50%;
        left: 0;
        border-bottom: 1px solid #111;
        width: 100%;
    }

    .inline-table-edit tr.inline-editable td.inline-editable span:not(.span-alert-required) {
        cursor: pointer;
        min-height: 30px;
    }

.required-border {
    border: solid 1px red;
}

.inline-table-edit tr.inline-editable td.inline-editable  .inline-preview {
    top: 100%;
    left: 0;
    display: block;
    float: left;
    min-width: 100%;
    padding: 5px 5px;
    list-style: none;
    font-size: 14px;
    background-color: #ffffff;
    border: 1px solid #cccccc;
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 4px;
    background-clip: padding-box;
    width: 100%;
    /*  padding-right: 25px;*/
    /*  height: 34px;*/
}

    .inline-table-edit tr.inline-editable td.inline-editable  .inline-preview.ddl {
        background: white url(../../images/arrow-05.png) no-repeat 10px;
    }

.inline-table-edit tr input:not([type="button"]) {
    top: 100%;
    left: 0;
    display: block;
    float: left;
    min-width: 100%;
    padding: 5px 5px;
    list-style: none;
    font-size: 14px;
    background-color: #ffffff;
    border: 1px solid #cccccc;
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 4px;
    background-clip: padding-box;
    width: 100%;
}

.inline-table-edit tr input.btn-select-all {
    width: 13px;
}
.ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 50px !important;
    display:block;
}